首页/网络/IP 与子网速查/CGNAT 与 100.64/10:运营商级 NAT 的判定与溯源
私网与特殊地址45 条

CGNAT 与 100.64/10:运营商级 NAT 的判定与溯源

运营商用 100.64/10(RFC 6598)做 CGNAT 时,多个用户共享一个公网 IP:家宽路由器 WAN 口出现 100.64.x.x 即代表你在大内网。对外溯源只能靠“公网 IP + 源端口 + 时间戳”,应用侧必须记录完整日志。

IP 与子网速查网络更新于 2026-10-12

判定与对比

判定与对比
# 出口对比
curl -s ifconfig.me      # 公网侧看到的地址
ip -4 addr | grep '100\.'  # 本机是否拿到 100.64.x.x

# 典型:本机 100.64.12.34 → 公网回显 203.0.113.9
100.64/10 不是 RFC 1918 私网:设备不应默认路由它;把它当“可以随便用的内网段”会造成路由歧义。

易错点

  • 把 100.64 当常规私网规划进内网
  • 依赖公网 IP 做访问控制:CGNAT 下大量用户同 IP

数据来源与参考

  • RFC 6598(Shared Address Space)
  • RFC 6888(CGN 要求)

相关工具

​‌‌​​‌​​​‌‌​‌‌‌‌​‌‌​​​‌‌​‌‌‌​​‌‌​​‌​‌‌‌​​‌‌‌​​​‌​‌‌​‌​​‌​‌‌‌​​​‌​‌‌​‌​​‌​‌‌​​​‌‌​‌‌‌​‌​​​‌‌​‌‌‌‌​​‌​‌‌‌​​‌‌​​​‌‌​‌‌​‌‌‌‌​‌‌​‌‌​‌